Package org.springframework.web.servlet.mvc.method

# Interface RequestMappingInfo.Builder

Enclosing class:
  RequestMappingInfo

public static interface RequestMappingInfo.Builder
Defines a builder for creating a RequestMappingInfo.

Since:
  4.2

## Method Summary

Modifier and Type
Method
Description
`RequestMappingInfo`
`build()`
Build the RequestMappingInfo.
`RequestMappingInfo.Builder`
`consumes(String... consumes)`
Set the consumes conditions.
`RequestMappingInfo.Builder`
`customCondition(RequestCondition<?> condition)`
Set a custom condition to use.
`RequestMappingInfo.Builder`
`headers(String... headers)`
Set the header conditions.
`RequestMappingInfo.Builder`
`mappingName(String name)`
Set the mapping name.
`RequestMappingInfo.Builder`
`methods(org.springframework.web.bind.annotation.RequestMethod... methods)`
Set the request method conditions.
`RequestMappingInfo.Builder`
`options(RequestMappingInfo.BuilderConfiguration options)`
Provide additional configuration needed for request mapping purposes.
`RequestMappingInfo.Builder`
`params(String... params)`
Set the request param conditions.
`RequestMappingInfo.Builder`
`paths(String... paths)`
Set the URL path patterns.
`RequestMappingInfo.Builder`
`produces(String... produces)`
Set the produces conditions.

## Method Details

### paths

RequestMappingInfo.Builder paths(String... paths)
Set the URL path patterns.

### methods

RequestMappingInfo.Builder methods(org.springframework.web.bind.annotation.RequestMethod... methods)
Set the request method conditions.

### params

RequestMappingInfo.Builder params(String... params)
Set the request param conditions.

### headers

RequestMappingInfo.Builder headers(String... headers)
Set the header conditions.

By default this is not set.

### consumes

RequestMappingInfo.Builder consumes(String... consumes)
Set the consumes conditions.

### produces

RequestMappingInfo.Builder produces(String... produces)
Set the produces conditions.

### mappingName

RequestMappingInfo.Builder mappingName(String name)
Set the mapping name.

### customCondition

RequestMappingInfo.Builder customCondition(RequestCondition<?> condition)
Set a custom condition to use.

### options

RequestMappingInfo.Builder options(RequestMappingInfo.BuilderConfiguration options)
Provide additional configuration needed for request mapping purposes.

### build

RequestMappingInfo build()
Build the RequestMappingInfo.